Author Topic: Upgrading successfully from 1.7.5 to 2.6.1  (Read 1629 times)

Juhani

  • Newbie
  • *
  • Posts: 6
    • View Profile
Upgrading successfully from 1.7.5 to 2.6.1
« on: June 21, 2014, 06:52:28 PM »
I recently upgarded from 1.7.5 to 2.6.1, and had many issues.  The operating system was Ubuntu 12.04 with PHP 5.3.10.  I followed the official migration guide, but it was a little bit faulty.  So, I would like to just share what issues I had and how I solved them, if it might help somebody ;)


  • I had my Feng Office 1.7.5 database tables without any prefix. The upgrade script begun working, when I first added prefix og_ to all the database table names.  This can be made with SQL or just easily with PhpMyAdmin.  If you've got some prefix, change it to og_.  Simultaneously I had prefix fo_ in config.php like told in the migration guide.

  • There was an issue in upgrading from 2.5.1.5 to 2.6.1, so I had to first upgrade from 1.7.5 to 2.5.1.5.  Then I gave the following two SQL commands:

    DELETE FROM fo_config_options WHERE fo_config_options.name = 'milestone_selector_filter';
    ALTER TABLE fo_application_logs DROP INDEX member;

    And after this upgrade from 2.5.1.5 to 2.6.1 was made without errors.

  • The database table og_custom_properties_by_co_type didn't get upgraded.  Solution was to copy it to a new table with name fo_custom_properties_by_co_type.  I'm not sure was this a necessary step.

  • I tried to run complete_migration.php, but database table fo_processed_objects and file /root/feng_upgrade_log.log remained empty. I couldn't see any tasks or other objects in the upgraded Feng Office, and additionally had errors like FATAL: exception 'Exception' with message 'You must choose at least one member of Workspaces, Tags.' in FENG_ROOT/cache/log.php.

    Solution was just to decrease number of processed objects from 2000 to 200, so that it became suitable for the capacity of a small server:

    */10 * * * * php FENG_ROOT/public/upgrade/complete_migration.php 200 >> /root/feng_upgrade_log.log

    If you can't schedule tasks as root, it's necessary change the path of log file.

  • I copied files between folders, so then it was necessary to change permissions of folders like told in Copy Installation wiki article


PS. If you had any errors during the procedure of running console.php script, you must start over from the very beginning. This means you must restore the files and database to the condition, where they were before running the migration script console.php. Otherwise you will see endless amount of errors (some of them mentioned earlier on this forum) that can't be fixed.

--------------------------------------

EDIT:

I forgot to update this post.  I found later, that error FATAL: exception 'Exception' with message 'You must choose at least one member of Workspaces, Tags.' that blocked the migration process, was caused by some objects, that didn't have any reference to any workspace.  I had to look for an object_id of some workspace from database table "workspaces", and then modify script FENG_ROOT/public/upgrade/complete_migration.php to use this id, when an object without id was met in the object processing loop.

This board doesn't allow me to post any code (with error message "Sorry, you are not allowed to post external links." altought I'm not having any links in the post), so I must put the code as the attachment.
« Last Edit: July 05, 2014, 02:44:14 PM by Juhani »

znitz

  • Newbie
  • *
  • Posts: 9
    • View Profile
Re: Upgrading successfully from 1.7.5 to 2.6.1
« Reply #1 on: January 14, 2015, 06:16:36 AM »
Hi Juhani,

Maybe a bit late to ask in this thread but..

Your post was of great help regarding the problem between version 2.5.1.5 and 2.6.1 (your step 2)

And now I'm stuck with the same error FATAL: exception 'Exception' with message 'You must choose at least one member of Workspaces, tags.'

How exactly did you do? I have tried but failed. Which tables did you look into, and what change did you do in complete_migration.php to solve this?


EDIT: Sorry missed the included file, will try your fix asap.

BR
Znitz
« Last Edit: January 14, 2015, 06:33:02 AM by znitz »

znitz

  • Newbie
  • *
  • Posts: 9
    • View Profile
Re: Upgrading successfully from 1.7.5 to 2.6.1
« Reply #2 on: January 14, 2015, 09:35:25 AM »
Thanks Juhani!

The script change worked!

However I get a lot of strange errors in the log, most errors are about compress files issues.
Like this one:
#109 ERROR: Error: gzuncompress(): data error in '/feng/feng/application/functions.php' on line 1445 (error code: 2)


btw, Juhani if you ever goto South of Sweden, let me buy you a beer :)


BR
Znitz